아티팩트 체크섬 불일치
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/artifact-checksum-mismatch입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
업로드한 바이트의 SHA-256 체크섬이 아티팩트 주소 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08과 일치하지 않습니다. 해당 주소가 가리키는 바이트를 업로드하거나, 업로드한 바이트 자체의 체크섬을 주소로 사용하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
address | string |
예시#
json
{
"detail": "The SHA-256 checksum of the uploaded bytes does not match the artifact address 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08. Upload the bytes that address names, or address them by their own checksum.",
"address": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"type": "https://lingo.dev/docs/api/errors/artifact-checksum-mismatch",
"status": 422,
"title": "Artifact checksum mismatch"
}이 오류를 반환하는 엔드포인트#
PUT /v2/localization/jobs/{id}/artifacts/{address}PUT /v2/organizations/{orgId}/localization/artifacts/{address}